//<?php
/**
 * SolutionrDEVs Application
 * Rich Discord Integration
 *
 * @brief       Extends: \IPS\Login\Handler
 * @author      Dawid Baruch <dawid.baruch@solutiondevs.pl> <a href='https://www.solutiondevs.pl'>SolutionDEVs</a>
 * @copyright   (c) 2005 - 2019 SolutionDEVs
 * @package     SolutionDEVs Apps
 * @subpackage  Rich Discord Integration
 * @link        https://www.solutiondevs.pl
 * @link        https://www.ipsbeyond.pl
 * @since       05.02.2019
 * @version     1.0.10
 */

/* To prevent PHP errors (extending class does not exist) revealing path */
if( !defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
    exit;
}

abstract class richdiscord_hook_loginHandler extends _HOOK_CLASS_
{
    public static function handlerClasses()
    {
	try
	{
	        $return   = parent::handlerClasses();
	        $return[] = 'IPS\richdiscord\Login\Handler\OAuth2\Discord';
	
	        return $return;
	}
	catch ( \RuntimeException $e )
	{
		if ( method_exists( get_parent_class(), __FUNCTION__ ) )
		{
			return call_user_func_array( 'parent::' . __FUNCTION__, func_get_args() );
		}
		else
		{
			throw $e;
		}
	}
    }
}
